#include <iostream>
#include <algorithm>

using namespace std;

long long a,b,f,c,i,l,j,m,s;
pair<long long,long long> x[300000];

int main()
{
    cin>>a;
    for(i=0;i<a;i++)
    {
        cin>>x[i].first;
    }
    for(i=0;i<a;i++)
    {
        cin>>x[i].second;
    }
    if(a==1)
    {
        cout<<x[0].second<<"\n";
    }
    else
    {
        sort(x,x+a);
        cout<<x[a-1].second+x[a-2].second<<"\n";
    }


    return 0;
}
